#
# Conditional build:
%bcond_with	iodbc		# use iodbc instead of unix-odbc
#
Summary:	ODBC interface to PostgreSQL
Summary(es.UTF-8):	Driver ODBC para acceder un servidor PostgreSQL
Summary(pl.UTF-8):	Interfejs ODBC do PostgreSQL
Summary(pt_BR.UTF-8):	Driver ODBC necessário para acessar um servidor PostgreSQL
Summary(zh_CN.UTF-8):	用 ODBC 访问 一个 PostgreSQL 数据库的 ODBC 驱动
Name:		psqlodbc
Version:	09.05.0400
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	ftp://ftp.postgresql.org/pub/odbc/versions/src/%{name}-%{version}.tar.gz
# Source0-md5:	86fc481acc2b58e3b780f6fef8e76f1a
URL:		http://psqlodbc.projects.pgfoundry.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.8
%{?with_iodbc:BuildRequires:	libiodbc-devel >= 3.51}
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	postgresql-devel >= 9.2
%{!?with_iodbc:BuildRequires:	unixODBC-devel}
%{?with_iodbc:Requires:	libiodbc >= 3.51}
Requires:	postgresql-libs >= 9.2
# servers < 7.4 are no longer supported
Conflicts:	postgresql < 7.4
Obsoletes:	postgresql-odbc
Obsoletes:	postgresql-odbc-devel
Obsoletes:	postgresql-odbc-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes library for interface ODBC.
%{?with_iodbc:This rpm uses libiODBC.}

%description -l es.UTF-8
Driver para acceder un servidor PostgreSQL, a través de ODBC.
%{?with_iodbc:This rpm uses libiODBC.}

%description -l pl.UTF-8
Pakiet ten zawiera biblioteki dla interfejsu ODBC.
%{?with_iodbc:Ten pakiet rpm używa libiODBC.}

%description -l pt_BR.UTF-8
Driver ODBC necessário para acessar um servidor PostgreSQL.
%{?with_iodbc:This rpm uses libiODBC.}

%prep
%setup -q

%build
# Note: --enable-gss and --enable-krb5 require private symbols from libpq;
# GSS and KRB5 auth are available anyway through libpq mechanisms
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_iodbc:--with-iodbc} \
	%{!?with_iodbc:--with-unixodbc}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/psqlodbcw.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.txt docs/*
%attr(755,root,root) %{_libdir}/psqlodbcw.so
%changelog
* Sun Aug 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/psqlodbc.git;a=log;h=master

* Sun Aug 28 2016 Jakub Bogusz <qboosh@pld-linux.org> ed0b4e9
- updated to 09.05.0400

* Fri Apr 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 1215603
- updated to 09.05.0210

* Sat Jan 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 3185aa8
- updated to 09.05.0100
- requires postgresql libs >= 9.2, can communicate with servers >= 7.4

* Sat Oct 31 2015 Jakub Bogusz <qboosh@pld-linux.org> ed798d3
- updated to 09.03.0400

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> fd81436
- updated to 09.03.0300

* Sun Mar 09 2014 Jakub Bogusz <qboosh@pld-linux.org> dc5dd7d
- updated to 09.03.0210

* Tue Feb 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 97a26d9
- updated to 09.03.0200

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cf2dfbe
- release 2

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 7225751
- up to 09.01.0100

* Thu May 26 2011 zbyniu <zbyniu@pld-linux.org> 5e2a892
- up to 09.00.0300

* Tue Nov 18 2008 radek <radek@pld-linux.org> 8bb033a
- version 08.03.0400

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ba88897
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c7f98eb
- converted to UTF-8

* Wed Feb 16 2005 Jakub Bogusz <qboosh@pld-linux.org> 9eb574d
- refresh ac/am/lt to fix build on amd64; release 2

* Wed Feb 16 2005 Jakub Bogusz <qboosh@pld-linux.org> 460e75d
- refresh config.sub

* Wed Feb 16 2005 Jakub Bogusz <qboosh@pld-linux.org> 6cd0ffc
- updated Source0 URL

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> d044841
- spaces->tabs
- formatting

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 2059f0e
- cleanup, fixed unixODBC build

* Sun Apr 11 2004 hunter <hunter@pld-linux.org> 1e8f0a7
- bcond: build against libiodbc

* Tue Jul 08 2003 Jakub Bogusz <qboosh@pld-linux.org> 5e83991
- no macros in URL field, other cleanups

